# Class: spamassassin::awl
#
#
class spamassassin::awl {
	include postgresql
	require baruwa::db
	postgresql::executesql{"awl-sql":
		username => $baruwa_pgsql_user,
		password => $baruwa_pgsql_passwd,
		database => $baruwa_pgsql_db,
		sql => template("spamassassin/awl.sql.erb"),
		sqlcheck => "\"SELECT tablename FROM pg_tables WHERE tablename ='awl'\" | grep awl",
	}
}